function data = LMTread(year,datastruct)

% data = 1 means GHI and data = 2 means temp
if datastruct == 1
    filename = ['data/irradiance/skjetlein' num2str(year) '.xlsx'];
elseif datastruct == 2
    filename = ['data/temp/skjetlein' num2str(year) 'temp.xlsx'];
else
    error('datastruct has to be 1 (GHI) or 2 (temp)');
end

% Reads Excel-file 'filename'
temp = xlsread(filename);
dim = size(temp);

% Extracts only datapoint (GHI or temp)
temp2 = temp(:,2);
data = zeros((dim(1)/24),24);
data(1,1:24) = temp2(1:24);

% Converters from column vector to matrix where each column corresponds to
% time of day (1-24) and each row i corresponds to day i in 2013.
for i = 1:(((dim(1)-1)/24)-1)
    
    data(i+1,1:24) = temp2((i*24+1):(i*24+24))';
    
end

end