%%% Script for performing analyzes of data

clear
clc

%% Parameters

year = 2013;
load = 1;

%% Setting filename and loading data
loaddata = loadread(year,load);

% tempname = ['data/temp/skjetlein' num2str(year) 'temp.xlsx'];
% 
% temp = LMTread(tempname);
% temp_dailyavg = mean(temp,2);

%% Variables

N_days = size(loaddata,1);
N_periods = size(loaddata,2);

firstdayofyear = year-2011;

%% Extracting day data
daydata = daydataCreator(loaddata,year);


%% Key metrics

[loadvec, dailyavg, dailymax, dailymin] = dataAnalyser(loaddata);

[monvec, monavg, monmax, monmin] = dataAnalyser(daydata{1});

[wedvec, wedavg, wedmax, wedmin] = dataAnalyser(daydata{3});

[frivec, friavg, frimax, frimin] = dataAnalyser(daydata{5});

[satvec, satavg, satmax, satmin] = dataAnalyser(daydata{6});

%% Normalization all

loaddata_norm_max = loaddata;
loaddata_norm_avg = loaddata;

for i = 1:N_periods
    loaddata_norm_max(:,i) = loaddata(:,i)./dailymax;
    loaddata_norm_avg(:,i) = loaddata(:,i)./dailyavg;
end

%% Normalization daily

mon_norm_max = daydata{1};
mon_norm_avg = daydata{1};

wed_norm_max = daydata{3};
wed_norm_avg = daydata{3};

fri_norm_max = daydata{5};
fri_norm_avg = daydata{5};

sat_norm_max = daydata{6};
sat_norm_avg = daydata{6};

for i = 1:N_periods
    mon_norm_max(:,i) = daydata{1}(:,i)./monmax;
    mon_norm_avg(:,i) = daydata{1}(:,i)./monavg;
    
    wed_norm_max(:,i) = daydata{3}(:,i)./wedmax;
    wed_norm_avg(:,i) = daydata{3}(:,i)./wedavg;
    
    fri_norm_max(:,i) = daydata{5}(:,i)./frimax;
    fri_norm_avg(:,i) = daydata{5}(:,i)./friavg;
    
    sat_norm_max(:,i) = daydata{6}(:,i)./satmax;
    sat_norm_avg(:,i) = daydata{6}(:,i)./satavg;
end
% 
% figure
% surf(mon_norm_max);
% figure
% surf(wed_norm_max);
figure
surf(fri_norm_max);
% figure
% surf(sat_norm_max);

