
[trans_matrix_final_maxval,trans_matrix_final_maxind] = max(trans_matrix_final,[],3);

trans_prob_final = (trans_prob == trans_matrix_final_maxval) .* trans_prob;

trans_prob_dev = (trans_matrix_final_maxval - trans_prob).*100;
trans_prob_dev_rel = (trans_prob_dev)./(trans_matrix_final_maxval);
trans_prob_dev_rel(isnan(trans_prob_dev_rel)) = 0;

trans_prob_dev_rel_mean = mean(trans_prob_dev_rel);
trans_prob_dev_rel_median = median(trans_prob_dev_rel);
trans_prob_dev_rel_var = var(trans_prob_dev_rel);

trans_prob_dev_mean = mean(trans_prob_dev);
trans_prob_dev_median = median(trans_prob_dev);
trans_prob_dev_var = var(trans_prob_dev);

trans_prob_dev_rel_kpi = [trans_prob_dev_rel_mean ; trans_prob_dev_rel_median ; trans_prob_dev_rel_var]';
trans_prob_dev_kpi = [trans_prob_dev_mean ; trans_prob_dev_median ; trans_prob_dev_var]';

bullseye = (trans_prob == trans_matrix_final_maxval);

bullseye_hour = sum(bullseye);
bullseye_hour_per = (bullseye_hour.*100)./366;

bullseye_perday = daydataCreator(bullseye,2016);

bullseye_weekdays = dataAgg(bullseye_perday,[1 2 3 4 5]);
bullseye_weekends = dataAgg(bullseye_perday,[6 7]);

bullseye_weekdays_sum = sum(bullseye_weekdays);
bullseye_weekends_sum = sum(bullseye_weekends);

bullseye_weekdays_sum_per = (bullseye_weekdays_sum.*100)./size(bullseye_weekdays,1);
bullseye_weekends_sum_per = (bullseye_weekends_sum.*100)./size(bullseye_weekends,1);

%% Total
figure('Position',[500 500 600 200])
grid on
set(gca,'YGrid','on')
% box on

x = 2:24;
bar(x,bullseye_hour_per(2:24))
xlabel('Hour','fontweight','bold')
ylabel('%','fontweight','bold')
xlim([1 25])
set(gca,'xtick',2:1:24);

for i1=2:2:24
    text(i1,bullseye_hour_per(i1),num2str(bullseye_hour_per(i1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print(['/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/bullalllearning' num2str(learning) '2'],'-depsc')

%% Weekdays and weekends in subplots
figure('Position',[500 500 600 400])
grid on
box on

subplot(2,1,1)
x = 2:24;
bar(x,bullseye_weekdays_sum_per(2:24))
xlabel('Hour','fontweight','bold')
ylabel('%','fontweight','bold')
title('Weekdays')
xlim([1 25])
set(gca,'xtick',2:1:24);

for i1=2:2:24
    text(i1,bullseye_weekdays_sum_per(i1),num2str(bullseye_weekdays_sum_per(i1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

subplot(2,1,2)
bar(x,bullseye_weekends_sum_per(2:24),'r')
xlabel('Hour','fontweight','bold')
ylabel('%','fontweight','bold')
title('Weekends')
xlim([1 25])
set(gca,'xtick',2:1:24);

for i1=2:2:24
    text(i1,bullseye_weekends_sum_per(i1),num2str(bullseye_weekends_sum_per(i1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print(['/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/bullwdwecomplearning' num2str(learning) '2_nb'],'-depsc')

%% Weekdays and weekends in same plot
figure('Position',[500 500 600 200])

x = 2:24;
b = bar(x,trans_prob_dev_rel_kpi(2:24,1:2));
% b(2).FaceColor = 'r';
xlabel('Hour','fontweight','bold')
ylabel('%','fontweight','bold')
legend('Mean','Median')
xlim([1 25])
set(gca,'xtick',2:1:24);

% print(['/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/stoacckpilearning' num2str(learning)],'-depsc')

%% Weekdays and weekends in same plot
figure('Position',[500 500 600 200])

x = 2:24;
b = bar(x,trans_prob_dev_kpi(2:24,1:2));
% b(2).FaceColor = 'r';
xlabel('Hour','fontweight','bold')
ylabel('%','fontweight','bold')
legend('Mean','Median')
xlim([1 25])
set(gca,'xtick',2:1:24);
set(gca,'ygrid','on')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print(['/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/stoaccabskpilearning' num2str(learning) '_nb'],'-depsc')
