function bill = billing(p_grid, spotprice, utilityprice, daynum, structure)

% daynum is the first day of the horizon if several days are optimised.

N_days = size(p_grid,1);        % Assuming same size of load and price
% N_periods = size(p_grid,2);     % Time steps per day
bill = 0;



%% Endelig beregning
switch structure
    case 1
        %% Only spotprice
        billtemp = p_grid.*spotprice;
        bill = sum(sum(billtemp));
        
    case 2
        %% With fixed utility price
        totprice = spotprice + (p_grid > 0).*utilityprice;

        bill = sum(sum(p_grid.*totprice));
        
    case 3
        %% Timely effect tarif
        % Utilityprice is given for given hours of the day for monday
        % through friday. Weekends has a flat fixed rate.
        
        for day = 1:N_days
            
            p_grid_pos = p_grid(day,:);
            p_grid_neg = p_grid(day,:);
            p_grid_pos(p_grid_pos < 0) = 0;
            p_grid_neg(p_grid_neg >= 0) = 0;
            
            bill = bill + (spotprice(day,:) + utilityprice(daynum,:))*p_grid_pos';
            bill = bill + spotprice(day,:)*p_grid_neg';

%             if p_grid(day,t) >= 0
%                 bill = bill + (spotprice(day,:) + utilityprice(daynum,:))*p_grid(day,:);
%             else
%                 bill = bill + spotprice(day,:)*p_grid(day,t);
%             end
            
            if daynum == 7
                daynum = 1;
            else
                daynum = daynum + 1;
            end
        end
        
    case 4
        %% P-based utility
        p_grid_pos = p_grid;
        p_grid_pos(p_grid_pos < 0) = 0;
        utility = sum(sum(utilityprice.*p_grid_pos.*p_grid_pos));
        spot = sum(sum(spotprice.*p_grid));
        
        bill = utility + spot;
        
%         utility = sum(sum(utilityprice.*p_grid.*p_grid));
%         spot = sum(sum(spotprice.*p_grid));
%         
%         bill = utility + spot;
        
end % switch

end