function utilityprice = getUtilityPrice(year,structure)

utilityprice = 0;

%% Flat utility rates
energiledd  = [0.368 0.418 0.437 0.426]; % 2013 2014 2015 2016, Kilde: NVE https://www.nve.no/elmarkedstilsynet-marked-og-monopol/nettjenester/nettleie/nettleiestatistikk/nettleiestatistikk-for-husholdninger/
% fastledd    = [1879 1902 1908 1907];

%% Calculations
switch structure
    case 1
        % No utilityprice
        
    case 2
        %% With fixed utility price
        utilityprice = energiledd(year-2012); 
        
    case 3
        %% Effect tarif 1
        % Utilityprice is given for given hours of the day for monday
        % through friday. Weekends has a flat fixed rate.
        
        ut_price_timely = ones(7,24);
        ut_price_timely_everyday = [1 1 1 1 1 2 2 2 4 4 4 2 2 2 2 2 4 4 4 2 2 2 1 1];
        ut_price_timely_weekend = 2;
        ut_price_timely_scaling = 0.2;

        dayofweek = year-2011; % First day of year. Monday = 1, Tuesday = 2,...
        
        for i = 1:7
            if i <= 5
                ut_price_timely(i,:) = ut_price_timely_everyday;
            else
                ut_price_timely(i,:) = ut_price_timely_weekend;
            end
        end
        
        utilityprice = ut_price_timely.*ut_price_timely_scaling;
        
    case 4
        %% Effect tarif 2
        % Linearly dependent on the power demand.
        
        utilityprice = 0.1; % NOK/kWh
        
        
end % switch

end