function [P_bat_opt, SOC_opt] = pbatConversion(p_load,p_bat,SOC,soc_initial,soc_min)

% This function converts the outputs from the DP into the optimal P_bat 
% and SOC given an initial soc.

%% Initialisation
P_bat_opt = zeros(size(p_load));
SOC_opt = zeros(size(p_load));
N_periods = size(p_load,1)*size(p_load,2);
N_soc = size(p_bat,2);

row = floor((soc_initial-soc_min)/N_soc + 1);

%% Iteration
day = 0;
for i = 1:N_periods
    
    if mod(i,24) == 1
        day = day + 1;
        hour = mod(i,24);
    elseif mod(i,24) == 0
        hour = 24;
    else
        hour = mod(i,24);
    end
    
    P_bat_opt(day,hour) = p_bat(row,i);
    SOC_opt(day,hour) = SOC(row,i);
    
end

end