
%% Consumer cost

energy = [1.0 1.2];
time = [12.8 14.2];
power = [3.1 8.6];
total = [energy ; time ; power];

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('SDP','DP')
ylim([0 16])
set(gca,'ygrid','on')
set(gca,'ytick',0:2:16)

for i1=1:3
        text(i1-0.14,total(i1,1),num2str(total(i1,1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.14,total(i1,2),num2str(total(i1,2),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/costs/consumercosts','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/costs/consumercosts_nb','-depsc')

%% The effect on an PV-system

energy = [12.3 13.8 14.2];
time = [13.2 24.6 26.2];
power = [12.2 16.2 21.6];
total = [energy ; time ; power];

ymax = 30;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('No battery','SDP','DP','location','best')
ylim([ymin ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

for i1=1:3
        text(i1-0.225,total(i1,1),num2str(total(i1,1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1,total(i1,2),num2str(total(i1,2),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.225,total(i1,3),num2str(total(i1,3),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/costs/pvrelsavings','-depsc')

% set(gcf, 'color', 'none',...
%          'inverthardcopy', 'off');
% 
% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/costs/pvrelsavings_nb','-depsc')

%% Varying historic data

energy = [1.07 1.05 1.00 1.00];
time = [12.96 12.95 12.81 12.83];
power = [2.86 2.69 2.73 2.91];

ymax = 30;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 500])

subplot(3,1,1)
bar(energy,0.5)
set(gca,'XTickLabel', {'2013', '2014', '2015', '2013-2015'});
title('Energy')
ylabel('%','fontweight','bold')
set(gca,'ygrid','on')
% set(gca,'ytick',0:ystep:ymax)

for i1=1:4
        text(i1,energy(i1),num2str(energy(i1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

subplot(3,1,2)
bar(time,0.5,'r')
set(gca,'XTickLabel', {'2013', '2014', '2015', '2013-2015'});
title('Time')
ylabel('%','fontweight','bold')
ylim([0 16])
set(gca,'ygrid','on')
set(gca,'ytick',0:4:16)

for i1=1:4
        text(i1,time(i1),num2str(time(i1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

subplot(3,1,3)
bar(power,0.5,'k')
set(gca,'XTickLabel', {'2013', '2014', '2015', '2013-2015'});
title('Power')
ylabel('%','fontweight','bold')
xlabel('Historic load data set')
ylim([0 4])
set(gca,'ygrid','on')
set(gca,'ytick',0:4)

for i1=1:4
        text(i1,power(i1),num2str(power(i1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/varhistdata','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/varhistdata_nb','-depsc')

%% Varying historic data 2

energy = [1.07 1.05 1.00 1.00];
time = [12.96 12.95 12.81 12.83];
power = [3.00 2.75 3.15 3.06];
total = [energy;time;power];

ymax = 30;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 300])


bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('%','fontweight','bold')
set(gca,'ygrid','on')
% set(gca,'ytick',0:ystep:ymax)
legend('2013', '2014', '2015', '2013-2015')

for i1=1:3
        text(i1-0.275,total(i1,1),num2str(total(i1,1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1-0.09,total(i1,2),num2str(total(i1,2),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.09,total(i1,3),num2str(total(i1,3),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.275,total(i1,4),num2str(total(i1,4),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/varhistdata2','-depsc')

% set(gcf, 'color', 'none',...
%          'inverthardcopy', 'off');
% 
% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/varhistdata2_nb','-depsc')

%% Learning stochastic model

energy = [1.00 1.03];
time = [12.83 12.95];
power = [3.06 3.19];

ymax = 30;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 150])

subplot(1,3,1)
bar(energy,0.7)
set(gca,'XTickLabel', {'Normal', 'Learning'});
title('Energy')
ylabel('%','fontweight','bold')
set(gca,'ygrid','on')
% set(gca,'ytick',0:ystep:ymax)

for i1=1:2
        text(i1,energy(i1),num2str(energy(i1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

subplot(1,3,2)
bar(time,0.7,'r')
set(gca,'XTickLabel', {'Normal', 'Learning'});
title('Time')
ylabel('%','fontweight','bold')
ylim([0 16])
set(gca,'ygrid','on')
set(gca,'ytick',0:4:16)

for i1=1:2
        text(i1,time(i1),num2str(time(i1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

subplot(1,3,3)
bar(power,0.7,'k')
set(gca,'XTickLabel', {'Normal', 'Learning'});
title('Power')
ylabel('%','fontweight','bold')
ylim([0 4])
set(gca,'ygrid','on')
set(gca,'ytick',0:4)

for i1=1:2
        text(i1,power(i1),num2str(power(i1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/learningstomod','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/learningstomod_nb','-depsc')

%% Learning stochastic model 2

energy = [1.00 1.03];
time = [12.83 12.95];
power = [3.06 3.19];
total = [energy ; time ; power];

ymax = 30;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('Not learning','Learning')
ylim([0 16])
set(gca,'ygrid','on')
set(gca,'ytick',0:2:16)

for i1=1:3
        text(i1-0.14,total(i1,1),num2str(total(i1,1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.14,total(i1,2),num2str(total(i1,2),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/learningstomod2','-depsc')

% set(gcf, 'color', 'none',...
%          'inverthardcopy', 'off');
% 
% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/stochastics/learningstomod2_nb','-depsc')

%% Different battery parameters load 3

total = [12.83 14.17; 17.50 19.41 ; 12.90 14.25 ; 17.62 20.47];

ymax = 25;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'7 kW, 13.5 kWh', '7 kW, 27 kWh', '14 kW, 13.5 kWh','14 kW, 27 kWh'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('SDP','DP','location','northwest')
ylim([0 ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

for i1=1:4
        text(i1-0.15,total(i1,1),num2str(total(i1,1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:4
        text(i1+0.15,total(i1,2),num2str(total(i1,2),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryparameters/batconfigload3','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryparameters/batconfigload3_nb','-depsc')

%% Different battery parameters load 1

total = [18.82 21.62; 22.31 27.27; 18.68 21.71 ; 22.73 28.45];

ymax = 35;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'7 kW, 13.5 kWh', '7 kW, 27 kWh', '14 kW, 13.5 kWh','14 kW, 27 kWh'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('SDP','DP','location','northwest')
ylim([0 ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

for i1=1:4
        text(i1-0.15,total(i1,1),num2str(total(i1,1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:4
        text(i1+0.15,total(i1,2),num2str(total(i1,2),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryparameters/batconfigload1','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryparameters/batconfigload1_nb','-depsc')

%% Different battery parameters load 2

total = [9.84 10.51; 14.49 15.39 ; 9.87 10.58 ; 15.15 16.68];

ymax = 20;
ymin = 0;
ystep = 5;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'7 kW, 13.5 kWh', '7 kW, 27 kWh', '14 kW, 13.5 kWh','14 kW, 27 kWh'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('SDP','DP','location','northwest')
ylim([0 ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

for i1=1:4
        text(i1-0.15,total(i1,1),num2str(total(i1,1),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:4
        text(i1+0.15,total(i1,2),num2str(total(i1,2),'%.02f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryparameters/batconfigload2','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryparameters/batconfigload2_nb','-depsc')

%% Battery usage

total = [179 166; 432 444 ; 191 289];

ymax = 500;
ymin = 0;
ystep = 100;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('Full charges','fontweight','bold')
legend('SDP','DP')
ylim([0 ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

for i1=1:3
        text(i1-0.14,total(i1,1),num2str(total(i1,1),'%i'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.14,total(i1,2),num2str(total(i1,2),'%i'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

% print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryusage/pbattotnorm','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryusage/pbattotnorm_nb','-depsc')

%% Initial SOC

total = [58 25 17; 72 28 1 ; 11 89 0];

ymax = 100;
ymin = 0;
ystep = 25;

figure('Position',[500 500 600 300])

bar(total,0.5,'stacked')
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('%','fontweight','bold')
legend('SOC = 0', '0 < SOC < 1', 'SOC = 1')
ylim([0 ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

for i1=1:3
        text(i1,total(i1,1)/2,[num2str(total(i1,1),'%i') ' %'],...
               'HorizontalAlignment','center',...
               'VerticalAlignment','middle','color', 'w')
end

for i1=1:3
        text(i1,total(i1,1)+total(i1,2)/2,[num2str(total(i1,2),'%i') ' %'],...
               'HorizontalAlignment','center',...
               'VerticalAlignment','middle','color', 'k')
end

for i1=1:3
        text(i1,total(i1,1)+total(i1,2)+total(i1,3)/2,[num2str(total(i1,3),'%i') ' %'],...
               'HorizontalAlignment','center',...
               'VerticalAlignment','middle','color', 'k')
end

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryusage/socanalysis','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/batteryusage/socanalysis_nb','-depsc')

%% Power flow extrema max

total = [14.7 15.0; 15.0 16.0 ; 13.0 9.2];

ymax = 18;
ymin = 0;
ystep = 2;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('kWh','fontweight','bold')

ylim([0 ymax])
set(gca,'ygrid','on')
set(gca,'ytick',0:ystep:ymax)

hold on
xlim=get(gca,'xlim');
plot([0.7 3.3],[13 13],'k','linewidth',2)

legend('SDP','DP','Basecase','location','southeast')

for i1=1:3
        text(i1-0.14,total(i1,1),num2str(total(i1,1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

for i1=1:3
        text(i1+0.14,total(i1,2),num2str(total(i1,2),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')
end

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/powerflow/pgridmax','-depsc')

set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/powerflow/pgridmax_nb','-depsc')

%% Power flow extrema min

total = [-2.4 -1.7; -2.2 -1.6 ; -5.8 0.2];

ymax = 1;
ymin = -7;
ystep = 1;

figure('Position',[500 500 600 200])

bar(total)
set(gca,'XTickLabel', {'Energy', 'Time', 'Power'},'fontweight','bold');
ylabel('kWh','fontweight','bold')

ylim([ymin ymax])
set(gca,'ygrid','on')
set(gca,'ytick',ymin:ystep:ymax)

hold on
xlim=get(gca,'xlim');
plot([0.7 3.3],[0 0],'k','linewidth',2)

legend('SDP','DP','Basecase','location','southwest')

for i1=1:3
        text(i1-0.14,total(i1,1),num2str(total(i1,1),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','top')
end

for i1=1:2
        text(i1+0.14,total(i1,2),num2str(total(i1,2),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','top')
end

text(3+0.14,total(3,2),num2str(total(3,2),'%.01f'),...
               'HorizontalAlignment','center',...
               'VerticalAlignment','bottom')

print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/powerflow/pgridmin','-depsc')
           
set(gcf, 'color', 'none',...
         'inverthardcopy', 'off');
     
print('/Users/erdal/Dropbox/Skole/NTNU/ShareLaTeX/NTNU Masters Thesis/fig/results/powerflow/pgridmin_nb','-depsc')