function ppv = ppvadvanced(Pnom,degrad,irradiance,tempcoeff,Tcell)
%% Parameters
% Pnom given in kW
% degrad given in %, i.e. [0,1]. 1 corresponding to no degradation
% Irradiance given in W/m^2
% tempcoeff given in %, i.e. [-1,1]
% Tcell given in degrees celsius

% irradiance and Tcell are arrays of the same size

%% Calculations
ppv = (irradiance./1000).*(1+(tempcoeff/100).*(Tcell-25)).*Pnom.*degrad; % kW

end