function prices = priceread(year)

filename = ['data/price/elspot_' num2str(year) '.xlsx'];

% Reads Excel-file 'filename'
temp = xlsread(filename);
dim = size(temp);

% Extracts prices for Trondheim
temp2 = temp(:,3);
temp3 = zeros(((dim(1)-1)/24),24);
temp3(1,1:24) = temp2(1:24);

% Converters from column vector to matrix where each column corresponds to
% time of day (1-24) and each row i corresponds to day i in 2013.
for i = 1:(((dim(1)-1)/24)-1)
    
    temp3(i+1,1:24) = temp2((i*24+1):(i*24+24))';
    
end

% Converters from NOK/MWh to NOK/kWh and returns prices.
prices = temp3./1000;

end