function SOC_legal = socLegalCalc(N_soc,N_periods,N_soc_initial,N_soc_final,SOC_max_change_ch,SOC_max_change_di)

SOC_legal_f = zeros(N_soc,N_periods);   % Binary matrix. 1 if the given SOC is legal for the given period. Else 0
SOC_legal_b = zeros(N_soc,N_periods);   % Binary matrix. 1 if the given SOC is legal for the given period. Else 0

SOC_legal_f(N_soc_initial,1) = 1;
SOC_legal_b(N_soc_final,N_periods) = 1;

soc_min_t = max(1,N_soc_final-SOC_max_change_ch);
soc_max_t = min(N_soc,N_soc_final+SOC_max_change_di);

for t = (N_periods-1):-1:1
    
    for soc = soc_min_t:soc_max_t
        
        SOC_legal_b(soc,t) = 1;
        
    end

    soc_min_t = max(1,soc_min_t-SOC_max_change_ch);
    soc_max_t = min(N_soc,soc_max_t+SOC_max_change_di);
    
end

soc_min_tp1 = max(1,N_soc_initial-SOC_max_change_di);
soc_max_tp1 = min(N_soc,N_soc_initial+SOC_max_change_ch);

for t = 2:N_periods
    
    for soc = soc_min_tp1:soc_max_tp1
        
        SOC_legal_f(soc,t) = 1;
        
    end

    soc_min_tp1 = max(1,soc_min_tp1-SOC_max_change_di);
    soc_max_tp1 = min(N_soc,soc_max_tp1+SOC_max_change_ch);
    
end

SOC_legal = SOC_legal_f.*SOC_legal_b;

end