function P_bat = socnum2Pbat(soc,C_bat,eff_ch,eff_di,N_soc)
% Converts the SOC from the SDP to a SOC (next period) and p_bat (this
% period)

%% Parameter explaination
% SOC has the dimensions (N_days,N_periods)
% C_bat is the useable capacity of the battery

%% Initialisation
N_days = size(soc,1);
N_periods = size(soc,2);
P_bat = zeros(N_days,N_periods);


%% Calculations
soc_t = soc(1,1);
for day = 1:N_days
    for t = 1:(N_periods-1)
        soc_tp1 = soc(day,t+1);
        
        P_bat_temp = (soc_tp1-soc_t)*C_bat/N_soc;
        
        if P_bat_temp > 0
            P_bat(day,t) = P_bat_temp/eff_ch;  % eff_ch < 0
        else
            P_bat(day,t) = P_bat_temp*eff_di;  % eff_di < 0
        end
        
        soc_t = soc_tp1;
    end
    if day < N_days
        soc_tp1 = soc(day+1,1);
        
        P_bat_temp = (soc_tp1-soc_t)*C_bat;
        
        if P_bat_temp > 0
            P_bat(day,N_periods) = P_bat_temp/eff_ch;  % eff_ch < 0
        else
            P_bat(day,N_periods) = P_bat_temp*eff_di;  % eff_di < 0
        end
        
    end
end

end