function SOC = socnum2SOC(soc,SOC_max,SOC_min,N_soc)

% This function converts the soc-state [1,N_soc] from the optimisation 
% into the absolute SOC-value [SOC_min, SOC_max].

SOC = zeros(size(soc));

N_days = size(soc,1);
N_periods = size(soc,2);

for day = 1:N_days
    for t = 1:N_periods
        if soc(day,t) == 1
            SOC(day,t) = 0;
        else
            SOC(day,t) = soc(day,t)*(SOC_max-SOC_min)/N_soc;
        end
    end
end


end