function mat = vec2mat(vec,time_steps_per_day)
% Converts a row vector to a matrix, given the number of timesteps per day,
% assuming that the first element of the vector is the first of a given day

N_periods = size(vec,2);
N_days = N_periods/time_steps_per_day;

mat = zeros(N_days,time_steps_per_day);

day = 0;
for i = 1:N_periods
    
    if mod(i,time_steps_per_day) == 1
        day = day + 1;
        hour = mod(i,time_steps_per_day);
    elseif mod(i,time_steps_per_day) == 0
        hour = time_steps_per_day;
    else
        hour = mod(i,time_steps_per_day);
    end
    
    mat(day,hour) = vec(i);
    
end

end